@import url("https://fonts.googleapis.com/css2?family=Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

:root {
  --text-dark: #171717;
  --text-light: #525252;
  --extra-light: #d0cccc;
  --background-light: #f4f5f3;
  --white: #ffffff;
  --navbar-color: #234164;
  --navbar-dropdown-color: #1E3957;
  --title-color: #325395;
  --link-color: #355D8F;
  --link-hover-color: #244870;
  --footer-color: #162B44;
  --block-color: #EDE7DF;
  --max-width: 1200px;
  --header-font: "Rubik", sans-serif;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.contact-link {
  color: var(--link-color);
  font-weight: bold;
}

.contact-link:hover {
  color: var(--link-hover-color);
  text-decoration: underline;
}

.section__container {
  max-width: var(--max-width);
  margin: auto;
  padding: 2rem 1rem;
}

.primary-btn {
  display: inline-block;
  padding: 16px 42px;
  margin: 10px;
  background: var(--link-color);
  color: #fff;
  text-decoration: none;
  border-radius: 40px;
  font-size: 15px;
  letter-spacing: 0.5px;
  transition: all 0.3s ease;
  cursor: pointer;
  border: none;
}

.primary-btn:hover {
  background: var(--link-hover-color);
  transform: translateY(-3px);
}

.secondary-btn {
  display: inline-block;
  padding: 16px 42px;
  margin: 10px;
  border: solid var(--link-color);
  border-width: 1px 1px;
  color: var(--link-color);
  text-decoration: none;
  border-radius: 40px;
  font-size: 15px;
  transition: all 0.3s ease;
  cursor: pointer;
}

.secondary-btn:hover {
  background: var(--link-color);
  color: #fff;
}

.pricelist-container {
    display: flex;
    justify-content: center;
	margin-top: 15px;
}

.pricelist-container .section__description {
    max-width: 900px;
    margin-inline: auto;
    margin-bottom: 1rem;
    color: var(--text-dark);
}

.pricing-box {
  max-width: 600px;
  margin: 0 15px 0 15px;
  padding: 2.5rem 2rem;
  background: var(--white);
  border-radius: 18px;
  box-shadow: 0 12px 35px rgba(0,0,0,0.1);
  text-align: center;
}

.pricing-box .primary-btn {
  margin: 20px;
}

.pricing-value {
  font-size: 2rem;
  font-weight: 600;
  margin-bottom: 0.5rem;
}

.pricing-label {
  text-transform: uppercase;
  font-size: 0.75rem;
  letter-spacing: 0.08em;
  color: #888;
  margin-bottom: 0.5rem;
}

.pricing-value span {
  font-size: 2.8rem;
  font-weight: 700;
  color: var(--title-color)
}

.pricing-note {
  font-size: 0.85rem;
  color: #777;
  margin-bottom: 2rem;
}

.pricing-block {
  text-align: left;
  margin-top: 2rem;
}

.pricing-block h4 {
  font-size: 1rem;
  margin-bottom: 0.8rem;
}

.pricing-includes {
  list-style: none;
  padding: 0;
  margin: 0;
}

.pricing-includes li {
  margin-bottom: 0.8rem;
  padding-left: 1.6rem;
  position: relative;
  font-size: 0.95rem;
}

.pricing-includes li::before {
  content: "✓";
  position: absolute;
  left: 0;
  color: #2e8b57;
}

/* Plus-icoon voor optionele items */
.plus-icon {
  color: #aaa; /* lichtgrijs */
  font-weight: bold;
  margin-right: 0.5rem;
  position: absolute;
  left: 0;
  top: 0;
}

.extra-note {
  font-size: 0.85rem;
  color: #666;
  margin-top: -0.6rem;
  margin-bottom: 1rem;
}

.pricing-extra {
  background: #fafafa;
  border-radius: 12px;
  padding: 0.5rem;
  margin-top: 2rem
}

.pricing-extra li {
  list-style: none;
  margin-bottom: 0.8rem;
  padding-left: 1.3rem;
  position: relative;
}

.pricing-extra li::before {
  content: "+";
  position: absolute;
  left: 0;
  font-weight: bold;
  color: var(--text-light);
}

.extra-price {
  float: right;
  font-weight: 600;
  margin-left: 15px;
}

.section__header {
  margin-bottom: 0.5rem;
  font-size: 2.5rem;
  font-weight: 800;
  letter-spacing: -1.2px;
  font-family: var(--header-font);
  color: var(--title-color);
  text-align: center;
}

h1.section__header {
	font-size: 2.7rem;
	margin-bottom: 1.5rem;
}

.section__subheader {
  font-size: 1.5rem;
  font-weight: 200;
  font-family: var(--header-font);
  color: var(--title-color);
  text-align: center;
}

.section__description {
  color: var(--text-light);
  line-height: 1.75rem;
  text-align: center;
}

.page__description {
  font-weight: 600;
  padding-left: 10px;
  padding-right: 10px;
}

img {
  display: flex;
  width: 100%;
}

a {
  text-decoration: none;
  transition: 0.3s;
}

html,
body {
  scroll-behavior: smooth;
}

body {
  font-family: "Montserrat", sans-serif;
}

.bg_image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.bg_image h1 {
	font-size: 7vw;
	color: var(--white);
	transform: translateY(90px);
	text-shadow: 1px 1px 4px rgba(0,0,0,0.7);
}

nav {
  position: fixed;
  isolation: isolate;
  top: 0;
  width: 100%;
  max-width: var(--max-width);
  margin: auto;
  z-index: 9;
}

.nav__header {
  padding: 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
  background-color: var(--navbar-color);
}

.nav__logo img {
  max-width: 160px;
}

.nav__menu__btn {
  font-size: 1.5rem;
  color: var(--white);
  cursor: pointer;
}

.nav__links {
  list-style: none;
  position: absolute;
  width: 100%;
  padding: 2rem;
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 2rem;
  background-color: var(--navbar-color);
  transform: translateY(-100%);
  transition: 0.5s;
  z-index: -1;
}

.nav__links .nav__logo {
  display: none;
  filter: drop-shadow(1px 1px 4px rgba(0,0,0,0.5));
}

.nav__links a {
  padding-bottom: 5px;
  font-weight: 500;
  color: var(--white);
  border-bottom: 2px solid transparent;
  text-shadow: 1px 1px 4px rgba(0,0,0,0.5);
  white-space: nowrap;
}

.nav__links a:hover {
  border-color: var(--white);
}

.nav__links.open {
  transform: translateY(0);
}

.nav__dropdown {
  position: relative;
}

.nav__links .nav__dropdown::after {
  content: '';
  position: absolute;
  top: 100%;
  left: -1rem;
  width: 100%;
  height: 1rem;
}

.dropdown__menu {
  display: none;
  position: absolute;
  top: 120%;
  left: -1.2rem;
  background-color: var(--navbar-color);
  padding: 0.5rem 1.2rem;
  border-radius: 0.6rem;
  z-index: 20;
  width: 18rem;
}

.dropdown__menu li {
  list-style: none;
}

.dropdown__menu li a {
  display: inline-block;
  padding: 0.5rem 0;
  color: white;
  border-bottom: 2px solid transparent;
  text-shadow: 1px 1px 4px rgba(0,0,0,1);
}

.dropdown__menu li a:hover {
  border-color: white;
}

/* alleen desktop hover */
@media (min-width: 769px) {
  .nav__dropdown:hover .dropdown__menu {
    display: block;
  }
}

.dropdown-toggle {
  display: none;
  cursor: pointer;
  margin-left: 0.5rem;
  font-size: 1.2rem;
  color: white;
}

.mobile__dropdown__menu {
  display: none;
  flex-direction: column;
  list-style: none;
  background-color: var(--navbar-dropdown-color);
  border-radius: 0.75rem;
  padding: 0.75rem 0;
  margin: -1.5rem auto;
  width: 100%;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.35s ease;
}

@media (max-width: 290px) {
  .mobile__dropdown__menu {
    width: 120%;
    margin: 0;
  }
}

.mobile__dropdown__menu.open {
  max-height: 500px;
}

.mobile__dropdown__menu li {
  list-style: none;
  text-align: center;
}

.mobile__dropdown__menu li a {
  padding: 0.6rem 0;
  display: block;
  color: white;
}

/* mobiel actief */
@media (max-width: 768px) {
  .dropdown-toggle {
    display: inline-block;
  }

  .dropdown__menu {
    display: none !important;
  }
}

@keyframes scroll {
  to {
    transform: translateX(calc(-50% - 0.5rem));
  }
}

.content-blocks {
  width: 100%;
  margin: 0 auto;
  padding-bottom: 4rem;
  display: flex;
  flex-direction: column;
  line-height: 1.75rem;
}

.block {
  width: 100%;
  padding: 2rem 0;
}

.block:nth-child(odd) {
  background-color: var(--white);
}

.block:nth-child(even) {
  background-color: var(--block-color);
}

.block-inner {
  max-width: 80%;
  margin: 0 auto;
  padding: 0 1.5rem;
  display: grid;
  grid-template-columns: 3fr 2fr;
  gap: 1rem;
  align-items: center;
}

.block:nth-child(even) .block-inner {
  grid-template-columns: 2fr 3fr;
}

.block:nth-child(even) .block-text {
  order: 2;
}

.block:nth-child(even) .block-image {
  order: 1;
}

.block:nth-child(even) .block-video {
  order: 1;
}


.block-header {
  font-weight: 800;
  font-family: var(--header-font);
  color: var(--title-color);
  margin-left: -3px;
  font-size: 2.5rem;
  margin-bottom: 1.5rem;
  line-height: 1;
}

.block-text h2 {
  margin-bottom: 1rem;
}

.block-text p + p {
  margin-top: 1rem;
}

.block-image {
  border-radius: 8px;
  overflow: hidden; /* cruciaal: container clipt de afbeelding */
  display: inline-block;
  max-height: 60vh;
  position: relative;
  width: fit-content; /* container past zich aan de afbeelding aan */
  -webkit-box-shadow: 5px 5px 50px 0px rgba(0,0,0,0.35);
  box-shadow: 5px 5px 50px 0px rgba(0,0,0,0.35);
}

.block-image img {
  max-width: 100%;
  max-height: 60vh;
  display: block;
  object-fit: contain;
  border-radius: 8px; /* dit kan blijven, maar is optioneel */
  vertical-align: middle;
}

.block-video video {
  max-width: 100%;
  display: block;
  border-radius: 8px;
  object-fit: contain;
  max-height: 70vh;
  -webkit-box-shadow: 5px 5px 50px 0px rgba(0,0,0,0.35);
  box-shadow: 5px 5px 50px 0px rgba(0,0,0,0.35);
}

/* Mobile */
@media (max-width: 900px) {
  .block-inner {
    grid-template-columns: 1fr;
  }

  .block:nth-child(even) .block-inner {
    grid-template-columns: none;
  }

  .block-text,
  .block-image,
  .block-video {
    order: unset;
    justify-self: center;
  }

  .block-header {
    font-size: 1.5rem;
  }

  .block-inner {
    padding: 0;
  }
}

.link {
  color: var(--link-color);
  font-weight: bold;
}

.link:hover {
  color: var(--link-hover-color);
  text-decoration: underline;
}


.footer__container {
  display: grid;
  gap: 4rem 0;
  align-items: center;
  border-top: solid 1px;
}

.footer__container img {
  max-width: 200px;
  margin-inline: auto;
  margin-bottom: 2rem;
}

.footer__socials {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  flex-wrap: wrap;
}

.footer__socials a {
  font-size: 1.5rem;
  color: var(--navbar-color);
}

.footer__socials a:hover {
  color: var(--text-light);
}

.footer__contact {
  text-align: center;
  gap: 1px;
}

.footer__contact a {
  display: block;
  text-decoration: none;
  color: inherit;
  margin: 6px 0;
}

.footer__contact i {
  font-size: 1.3rem;
  color: var(--navbar-color);
}

.footer__contact i:hover {
  color: var(--text-light);
}

.footer__contact a:hover {
  color: var(--text-light);
}

.footer__links {
  list-style: none;
  display: grid;
  gap: 1rem;
}

.footer__links a {
  display: block;
  font-weight: 600;
  color: var(--text-dark);
  text-align: center;
}

.footer__links a:hover {
  color: var(--text-light);
}

.footer__col h4 {
  margin-bottom: 1rem;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--text-dark);
  text-align: center;
}

.footer__col p {
  color: var(--text-light);
  line-height: 1.75rem;
  text-align: center;
}

.footer__bar {
  padding-top: 1rem;
  padding-bottom: 0rem;
  font-size: 0.9rem;
  color: var(--white);
  background-color: var(--footer-color);
  text-align: center;
}

.footer__bar p {
	padding-bottom: 0.4rem;
}

.footer__bar a {
	color: var(--white);
}

.footer__bar a:hover {
	text-decoration: underline;
}

@media (width > 310px) {
  .footer__col {
    padding-inline: 2rem;
  }
	
  .footer__links {
    list-style: none;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
  }
}

@media (width > 540px) {
  .footer__container {
    grid-template-columns: repeat(2, 1fr);
  }

  .footer__col:nth-child(1) {
    grid-area: 1/1/2/3;
  }

  .footer__col:nth-child(3) {
    border-left: 2px solid var(--text-dark);
  }
}

@media (width > 768px) {
  .section__subheader {
    margin-bottom: 1rem;
  }

  nav {
    padding: 1.8rem 1rem;
    position: fixed;
    top: 0; /* Zet de navbar vast aan de bovenkant */
    left: 50%; /* Plaatst de nav in het midden */
    transform: translateX(-50%); /* Corrigeert de positie */
    max-width: 950px; /* Beperkt de breedte */
    width: 100%; /* Zorgt ervoor dat hij responsive blijft */
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 1000; /* Zorgt ervoor dat de navigatie boven de content blijft */
  }

  .nav__background {
    position: fixed;
    top: 0;
    width: 100%;
    background: var(--navbar-color);
    height: 90px;
    opacity: 0;
    transition: opacity 0.3s ease-out;
    z-index: 999;
    -webkit-box-shadow: 5px 5px 50px 0px rgba(0,0,0,0.5);
    box-shadow: 5px 5px 50px 0px rgba(0,0,0,0.5);
  }

  .nav__header {
    display: none;
  }

  .nav__links {
    padding: 0;
    width: 100%;
    position: static;
    transform: none;
    flex-direction: row;
    justify-content: space-between;
    background-color: transparent;
  }

  .nav__links .nav__logo {
    display: block;
  }

  .nav__links .nav__logo img {
    max-width: 220px;
  }
	
  .bg_image h1 {
	font-size: 5vw;
	transform: translateY(80px);
  }

  .footer__container {
    grid-template-columns: repeat(3, 1fr);
  }

  .footer__col:nth-child(1) {
    grid-area: 1/2/2/3;
    border-left: 2px solid var(--text-dark);
    border-right: 2px solid var(--text-dark);
  }

  .footer__col:nth-child(3) {
    border: none;
  }
}

@media (width > 450px) {
  .block {
    padding: 3rem 0;
  }

  .block-inner {
    gap: 3rem;
  }

  .pricing-extra {
    padding: 1.5rem;
  }
}

@media (width > 899px) {
  .block {
    padding: 5rem 0;
  }

  .block-inner {
    gap: 5rem;
  }
}

@media (width > 1024px) {
  .section__container {
    max-width: var(--max-width);
    margin: auto;
    padding: 3rem 1rem;
  }
	
  .bg_image h1 {
	font-size: 4vw;
	transform: translateY(120px);
  }
}

